Package org.drinkless.tdlib

# Class TdApi.GroupCall

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.GroupCall

Enclosing class:
  `TdApi`

public static class TdApi.GroupCall extends TdApi.Object
Describes a group call.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `areMessagesAllowed`
  True, if sending of messages is allowed in the group call.
  `boolean`
  `canBeManaged`
  True, if the current user can manage the group call; for video chats and live stories only.
  `boolean`
  `canDeleteMessages`
  True, if the user can delete messages in the group call.
  `boolean`
  `canEnableVideo`
  True, if the current user can broadcast video or share screen.
  `boolean`
  `canSendMessages`
  True, if the current user can send messages to the group call.
  `boolean`
  `canToggleAreMessagesAllowed`
  True, if the current user can enable or disable sending of messages in the group call.
  `boolean`
  `canToggleMuteNewParticipants`
  True, if the current user can enable or disable muteNewParticipants setting; for video chats only.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `duration`
  Call duration, in seconds; for ended calls only.
  `boolean`
  `enabledStartNotification`
  True, if the group call is scheduled and the current user will receive a notification when the group call starts; for video chats only.
  `boolean`
  `hasHiddenListeners`
  True, if group call participants, which are muted, aren't returned in participant list; for video chats only.
  `int`
  `id`
  Group call identifier.
  `String`
  `inviteLink`
  Invite link for the group call; for group calls that aren't bound to a chat.
  `boolean`
  `isActive`
  True, if the call is active.
  `boolean`
  `isJoined`
  True, if the call is joined.
  `boolean`
  `isLiveStory`
  True, if the call is a live story of a chat.
  `boolean`
  `isMyVideoEnabled`
  True, if the current user's video is enabled.
  `boolean`
  `isMyVideoPaused`
  True, if the current user's video is paused.
  `boolean`
  `isOwned`
  True, if the user is the owner of the call and can end the call, change volume level of other users, or ban users there; for group calls that aren't bound to a chat.
  `boolean`
  `isRtmpStream`
  True, if the call is an RTMP stream instead of an ordinary video chat; for video chats and live stories only.
  `boolean`
  `isVideoChat`
  True, if the call is bound to a chat.
  `boolean`
  `isVideoRecorded`
  True, if a video file is being recorded for the call.
  `boolean`
  `loadedAllParticipants`
  True, if all group call participants are loaded.
  `TdApi.MessageSender`
  `messageSenderId`
  Message sender chosen to send messages to the group call; for live stories only; may be null if the call isn't a live story.
  `boolean`
  `muteNewParticipants`
  True, if only group call administrators can unmute new participants; for video chats only.
  `boolean`
  `needRejoin`
  True, if user was kicked from the call because of network loss and the call needs to be rejoined.
  `long`
  `paidMessageStarCount`
  The minimum number of Telegram Stars that must be paid by general participant for each sent message to the call; for live stories only.
  `int`
  `participantCount`
  Number of participants in the group call.
  `TdApi.GroupCallRecentSpeaker[]`
  `recentSpeakers`
  At most 3 recently speaking users in the group call.
  `int`
  `recordDuration`
  Duration of the ongoing group call recording, in seconds; 0 if none.
  `int`
  `scheduledStartDate`
  Point in time (Unix timestamp) when the group call is expected to be started by an administrator; 0 if it is already active or was ended; for video chats only.
  `String`
  `title`
  Group call title; for video chats only.
  `long`
  `uniqueId`
  Persistent unique group call identifier.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroupCall()`
  Describes a group call.
  `GroupCall(int id, long uniqueId, String title, String inviteLink, long paidMessageStarCount, int scheduledStartDate, boolean enabledStartNotification, boolean isActive, boolean isVideoChat, boolean isLiveStory, boolean isRtmpStream, boolean isJoined, boolean needRejoin, boolean isOwned, boolean canBeManaged, int participantCount, boolean hasHiddenListeners, boolean loadedAllParticipants, TdApi.MessageSender messageSenderId, TdApi.GroupCallRecentSpeaker[] recentSpeakers, boolean isMyVideoEnabled, boolean isMyVideoPaused, boolean canEnableVideo, boolean muteNewParticipants, boolean canToggleMuteNewParticipants, boolean canSendMessages, boolean areMessagesAllowed, boolean canToggleAreMessagesAllowed, boolean canDeleteMessages, int recordDuration, boolean isVideoRecorded, int duration)`
  Describes a group call.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public int id
    Group call identifier.

  - ### uniqueId

    public long uniqueId
    Persistent unique group call identifier.

  - ### title

    public String title
    Group call title; for video chats only.

  - ### inviteLink

    public String inviteLink
    Invite link for the group call; for group calls that aren't bound to a chat. For video chats call getVideoChatInviteLink to get the link. For live stories in chats with username call getInternalLink with internalLinkTypeLiveStory.

  - ### paidMessageStarCount

    public long paidMessageStarCount
    The minimum number of Telegram Stars that must be paid by general participant for each sent message to the call; for live stories only.

  - ### scheduledStartDate

    public int scheduledStartDate
    Point in time (Unix timestamp) when the group call is expected to be started by an administrator; 0 if it is already active or was ended; for video chats only.

  - ### enabledStartNotification

    public boolean enabledStartNotification
    True, if the group call is scheduled and the current user will receive a notification when the group call starts; for video chats only.

  - ### isActive

    public boolean isActive
    True, if the call is active.

  - ### isVideoChat

    public boolean isVideoChat
    True, if the call is bound to a chat.

  - ### isLiveStory

    public boolean isLiveStory
    True, if the call is a live story of a chat.

  - ### isRtmpStream

    public boolean isRtmpStream
    True, if the call is an RTMP stream instead of an ordinary video chat; for video chats and live stories only.

  - ### isJoined

    public boolean isJoined
    True, if the call is joined.

  - ### needRejoin

    public boolean needRejoin
    True, if user was kicked from the call because of network loss and the call needs to be rejoined.

  - ### isOwned

    public boolean isOwned
    True, if the user is the owner of the call and can end the call, change volume level of other users, or ban users there; for group calls that aren't bound to a chat.

  - ### canBeManaged

    public boolean canBeManaged
    True, if the current user can manage the group call; for video chats and live stories only.

  - ### participantCount

    public int participantCount
    Number of participants in the group call.

  - ### hasHiddenListeners

    public boolean hasHiddenListeners
    True, if group call participants, which are muted, aren't returned in participant list; for video chats only.

  - ### loadedAllParticipants

    public boolean loadedAllParticipants
    True, if all group call participants are loaded.

  - ### messageSenderId

    @Nullable public TdApi.MessageSender messageSenderId
    Message sender chosen to send messages to the group call; for live stories only; may be null if the call isn't a live story.

  - ### recentSpeakers

    public TdApi.GroupCallRecentSpeaker[] recentSpeakers
    At most 3 recently speaking users in the group call.

  - ### isMyVideoEnabled

    public boolean isMyVideoEnabled
    True, if the current user's video is enabled.

  - ### isMyVideoPaused

    public boolean isMyVideoPaused
    True, if the current user's video is paused.

  - ### canEnableVideo

    public boolean canEnableVideo
    True, if the current user can broadcast video or share screen.

  - ### muteNewParticipants

    public boolean muteNewParticipants
    True, if only group call administrators can unmute new participants; for video chats only.

  - ### canToggleMuteNewParticipants

    public boolean canToggleMuteNewParticipants
    True, if the current user can enable or disable muteNewParticipants setting; for video chats only.

  - ### canSendMessages

    public boolean canSendMessages
    True, if the current user can send messages to the group call.

  - ### areMessagesAllowed

    public boolean areMessagesAllowed
    True, if sending of messages is allowed in the group call.

  - ### canToggleAreMessagesAllowed

    public boolean canToggleAreMessagesAllowed
    True, if the current user can enable or disable sending of messages in the group call.

  - ### canDeleteMessages

    public boolean canDeleteMessages
    True, if the user can delete messages in the group call.

  - ### recordDuration

    public int recordDuration
    Duration of the ongoing group call recording, in seconds; 0 if none. An updateGroupCall update is not triggered when value of this field changes, but the same recording goes on.

  - ### isVideoRecorded

    public boolean isVideoRecorded
    True, if a video file is being recorded for the call.

  - ### duration

    public int duration
    Call duration, in seconds; for ended calls only.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GroupCall

    public GroupCall()
    Describes a group call.

  - ### GroupCall

    public GroupCall(int id, long uniqueId, String title, String inviteLink, long paidMessageStarCount, int scheduledStartDate, boolean enabledStartNotification, boolean isActive, boolean isVideoChat, boolean isLiveStory, boolean isRtmpStream, boolean isJoined, boolean needRejoin, boolean isOwned, boolean canBeManaged, int participantCount, boolean hasHiddenListeners, boolean loadedAllParticipants, TdApi.MessageSender messageSenderId, TdApi.GroupCallRecentSpeaker[] recentSpeakers, boolean isMyVideoEnabled, boolean isMyVideoPaused, boolean canEnableVideo, boolean muteNewParticipants, boolean canToggleMuteNewParticipants, boolean canSendMessages, boolean areMessagesAllowed, boolean canToggleAreMessagesAllowed, boolean canDeleteMessages, int recordDuration, boolean isVideoRecorded, int duration)
    Describes a group call.
    Parameters:
      `id` - Group call identifier.
      `uniqueId` - Persistent unique group call identifier.
      `title` - Group call title; for video chats only.
      `inviteLink` - Invite link for the group call; for group calls that aren't bound to a chat. For video chats call getVideoChatInviteLink to get the link. For live stories in chats with username call getInternalLink with internalLinkTypeLiveStory.
      `paidMessageStarCount` - The minimum number of Telegram Stars that must be paid by general participant for each sent message to the call; for live stories only.
      `scheduledStartDate` - Point in time (Unix timestamp) when the group call is expected to be started by an administrator; 0 if it is already active or was ended; for video chats only.
      `enabledStartNotification` - True, if the group call is scheduled and the current user will receive a notification when the group call starts; for video chats only.
      `isActive` - True, if the call is active.
      `isVideoChat` - True, if the call is bound to a chat.
      `isLiveStory` - True, if the call is a live story of a chat.
      `isRtmpStream` - True, if the call is an RTMP stream instead of an ordinary video chat; for video chats and live stories only.
      `isJoined` - True, if the call is joined.
      `needRejoin` - True, if user was kicked from the call because of network loss and the call needs to be rejoined.
      `isOwned` - True, if the user is the owner of the call and can end the call, change volume level of other users, or ban users there; for group calls that aren't bound to a chat.
      `canBeManaged` - True, if the current user can manage the group call; for video chats and live stories only.
      `participantCount` - Number of participants in the group call.
      `hasHiddenListeners` - True, if group call participants, which are muted, aren't returned in participant list; for video chats only.
      `loadedAllParticipants` - True, if all group call participants are loaded.
      `messageSenderId` - Message sender chosen to send messages to the group call; for live stories only; may be null if the call isn't a live story.
      `recentSpeakers` - At most 3 recently speaking users in the group call.
      `isMyVideoEnabled` - True, if the current user's video is enabled.
      `isMyVideoPaused` - True, if the current user's video is paused.
      `canEnableVideo` - True, if the current user can broadcast video or share screen.
      `muteNewParticipants` - True, if only group call administrators can unmute new participants; for video chats only.
      `canToggleMuteNewParticipants` - True, if the current user can enable or disable muteNewParticipants setting; for video chats only.
      `canSendMessages` - True, if the current user can send messages to the group call.
      `areMessagesAllowed` - True, if sending of messages is allowed in the group call.
      `canToggleAreMessagesAllowed` - True, if the current user can enable or disable sending of messages in the group call.
      `canDeleteMessages` - True, if the user can delete messages in the group call.
      `recordDuration` - Duration of the ongoing group call recording, in seconds; 0 if none. An updateGroupCall update is not triggered when value of this field changes, but the same recording goes on.
      `isVideoRecorded` - True, if a video file is being recorded for the call.
      `duration` - Call duration, in seconds; for ended calls only.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR